- Get Organization Information
- Register Access Restriction of Web console Configurations
- Get Access Restriction of Web console Configurations
- Register Access Restriction of API Configurations
- Get Access Restriction of API Configurations
Get Organization Information
This will get the information of the organization.
GET
/api/v0/org
Required permissions for the API key
- Read
Response
{ "name": <name>, "displayName": <displayName> }
| KEY | TYPE | DESCRIPTION |
|---|---|---|
name |
string | The name of the organization |
displayName |
string / null | The display name of the organization |
Register Access Restriction of Web console Configurations
Register the access restriction settings for the Web console.
POST
/api/v0/settings/ip-restriction/web
Required permissions for the API key
- Read
- Write
Input
| KEY | TYPE | DESCRIPTION |
|---|---|---|
cidrs |
array[string] | A whitelist of IP ranges in CIDR notation that can access the organization's Web console*1 |
Response
Success
{ "success": true }
Error
| STATUS CODE | DESCRIPTION |
|---|---|
| 400 | when the input is in an unacceptable format |
| 403 | when the API key doesn't have the required permissions / when accessing from outside the permitted IP address range |
*1 cidrs
To remove access restrictions, specify [] for cidrs.
Get Access Restriction of Web console Configurations
GET
/api/v0/settings/ip-restriction/web
Required permissions for the API key
- Read
Response
{ "cidrs": [<cidr>,<cidr>...] }
<cidr> is an IP range in CIDR notation
Register Access Restriction of API Configurations
Register the access restriction settings for the API.
POST
/api/v0/settings/ip-restriction/api
Required permissions for the API key
- Read
- Write
Input
| KEY | TYPE | DESCRIPTION |
|---|---|---|
cidrs |
array[string] | A whitelist of IP ranges in CIDR notation that can access the organization's API*2 |
Response
Success
{ "success": true }
Error
| STATUS CODE | DESCRIPTION |
|---|---|
| 400 | when the input is in an unacceptable format |
| 403 | when the API key doesn't have the required permissions / when accessing from outside the permitted IP address range |
*2 cidrs
To remove access restrictions, specify [] for cidrs.
Get Access Restriction of API Configurations
GET
/api/v0/settings/ip-restriction/api
Required permissions for the API key
- Read
Response
{ "cidrs": [<cidr>,<cidr>...] }
<cidr> is an IP range in CIDR notation